Page MenuHomePhabricator

Outreachy round 15: Improve Programs & Events Dashboard support for Art+Feminism 2018
Closed, ResolvedPublic

Description

Programs & Events Dashboard (code) is a Ruby on Rails app with a React.js frontend. Its main purpose is to help organize and track group editing projects on Wikipedia and other wikis. It was initially designed to support the Wikipedia Education Program on English Wikipedia, in which university students write Wikipedia articles in the classes, but is gradually being extended to support other use cases such as edit-a-thons, and to work better for other languages and projects.

One of the major use cases is the Art+Feminism project, a world-wide program of edit-a-thons that take place each March. Art+Feminism used the Dashboard to organize its 2017 events for the first time, and identified a range of problems and desired features afterwards: https://en.wikipedia.org/wiki/Wikipedia:Meetup/ArtAndFeminism/Planning/MidpointReport2016-2017#Dashboard_Report

In coordination with Art+Feminism organizers, this project will focus on improving the Dashboard to better support Art+Feminism 2018, which takes place in March 2018 and is largely planned in January and February 2018. The above report will be a useful starting point for figuring out which specific improvements to prioritize.

This project will be rooted in Ruby, JavaScript, and CSS. Additional helpful skills/experience include:

  • Ruby on Rails
  • React.js and Redux
  • Web design

Mentors:

  • @Ragesoss / Sage Ross (product, Wiki Education Foundation)
  • @Capt_Swing / Jonathan Morgan (design research, Wikimedia Foundation)

Get started:

Event Timeline

Ragesoss created this task.Aug 31 2017, 6:41 PM
Restricted Application added subscribers: Base, Aklapper. · View Herald TranscriptAug 31 2017, 6:41 PM

Hi @Ragesoss, thank you for your efforts on this. This looks good. One detail, which may or may not be material: A+F is planned throughout the fall and winter, leading up to March 18th. The heaviest planning happens in January and February, but we will have events scheduled in December. We will probably give our Dashboard training in mid January.

@Theredproject cool. I think that could work out well with the Outreachy timeline; an intern would be well up-and-running during the main planning period, and could focus first on improvements that help organizers, and then on things that are more relevant during the main March date.

Ragesoss updated the task description. (Show Details)Sep 1 2017, 7:55 PM
SushmaK12 added a subscriber: SushmaK12.EditedSep 9 2017, 6:52 AM

Hello!

Hi,
I am Sushma Kukkadapu, final year under-grad student in CS stream. I am available fully during the internship period. I have recently placed in Amazon.

First of all i love the description of this project :)
@Ragesoss
@Firevsice
@srishakatux

I want to participate in round 15. I want to get started with this project. I am having good knowledge in Web development (Java, JS, PHP, Bootstrap, CSS, MySql, HTML).
Hence, I need some help in getting started here, how to start with micro-tasks mentioned above, please guide me through, I will follow up and get started.
I was open source contributor for Fossasia org. Now as a outreachy aspirant, I love to contribute to wikimedia.
Also, I want to know whether there exist any chat rooms / mail listings for this project.

Email : kukkadapusushma12@gmail.com

@SushmaK12 hi! I sent you an invite to the Slack channel we use for this codebase. Try out the setup instructions linked above, and post in Slack if you get stuck.

@SushmaK12 hi! I sent you an invite to the Slack channel we use for this codebase. Try out the setup instructions linked above, and post in Slack if you get stuck.

Thank you, will do that. I have joined Slack :)

Neetu_721 added a subscriber: Neetu_721.EditedSep 11 2017, 3:14 AM

Hi,

@Ragesoss
@Firevsice
@srishakatux

I am Neetu, 3rd year CSE undergrad.

I find the description of the project quite wonderful , and would love to contribute to the project
Also I am new to open source contribution, so I will be needing some help getting started with this , but I will follow up with guidance and
would try to give my best.

I want to participate in outreachy round 15 by contributing to Wikimedia.

I am comfortable with ruby and javascript with medium proficiency in rails.Please guide me on how to get started with the microtasks.

Also, please let me know, if there is a mailing list/ slack channel / IRC channel for this project, that I could join.

Thanks,
Neetu ( email : yadavneet7@gmail.com)

@Neetu_721 hi! I just sent you a Slack invite. Go through the setup instructions, and once you've got a dev environment up and running, browse through the issues linked above. :-)

Hi @Ragesoss and @Capt_Swing,

I will be applying for the Outreachy internship to work on this project, which is of great interest to me as an aspiring developer that currently works at a feminist art organization! This weekend I plan on setting up the development environment and looking over listed issues above.
Can you please add me to the Slack channel for this codebase in case I have any questions?

Thanks,
Leigh (leighayna.josele@gmail.com)

Hi @Ragesoss and @Capt_Swing,
I will be applying for the Outreachy internship to work on this project, which is of great interest to me as an aspiring developer that currently works at a feminist art organization! This weekend I plan on setting up the development environment and looking over listed issues above.
Can you please add me to the Slack channel for this codebase in case I have any questions?
Thanks,
Leigh (leighayna.josele@gmail.com)

Sent!

Hi @Ragesoss and @Capt_Swing,
I will be applying for the Outreachy internship to work on this project, which is of great interest to me as an aspiring developer that currently works at a feminist art organization! This weekend I plan on setting up the development environment and looking over listed issues above.
Can you please add me to the Slack channel for this codebase in case I have any questions?
Thanks,
Leigh (leighayna.josele@gmail.com)

Sent!

Thanks! If I would like to work on one of the issues listed, should I just comment on github?

Ragesoss updated the task description. (Show Details)Sep 12 2017, 12:21 AM
This comment was removed by Asmigos.

Hi,

@Ragesoss
@Firevsice
@srishakatux

I am Asmita, 3rd year IT undergrad.

I would love to contribute to this project as I found it interesting.
I am having good knowledge in Web development (Java, Javascript, Bootstrap, CSS, MySql, HTML, MongoDB, AngularJS,Node) as well as Mobile Application development.
I am new to open source contribution, so I will be needing some help getting started with this , but would promise to give my best under the guidance..

I want to participate in outreachy round 15 by contributing to Wikimedia.
Also, Can you please add me to the Slack channel in case I have any questions?

Thanks,
Asmita (asmita.jaipur@gmail.com)

djbubu28 added a subscriber: djbubu28.EditedSep 17 2017, 8:07 AM

Hello

@Ragesoss
@Firevsice
@srishakatux,

I look forward to contributing to the project. I've set up a development environment and am browsing through bugs now. Would you be able to send me an invite to the slack channel so I can discuss any issues I come accross?

Thanks
Jules

@djbubu28 let me know an email address and I can send you a slack invite. You can reach me at sage@wikiedu.org

Hi,

@Ragesoss
@Firevsice
@srishakatux

I am Unnatii from LNMIIT Jaipur.

I have a hand on experience with Rails and a little of react. This project will be good for me
Please guide me on how to get started since I want to participate in coming season of outreachy.
and also let me know, if there is a mailing list/ slack channel / IRC channel for this project, that I could join.

Thanks,
Unnatii ( email : unnatitibrewal@gmail.com)

Hey there,

@Ragesoss
@Firevsice
@srishakatux

My name is Spencer and I am looking to get involved in this round of Outreachy. This project looks super interesting. I will be setting up everything over the next few days. I would love to be added to any relevant communication channels!

Thanks

Spencer

@spencerdezartsmith let me know an email address and I can send you a slack invite. You can reach me at sage@wikiedu.org

Aklap added a subscriber: Aklap.EditedSep 20 2017, 4:15 AM

Hi there @Ragesoss and @Capt_Swing,

My name is Alexis and I'm interested in contributing to this project via Outreachy. I participated in Art+Feminism's edit-a-thon at the MOMA in NY in 2016 so I'm familiar with the project and contributing to Wikipedia (although looks like I missed when they introduced the dashboard tool last year). I've been working in edtech but would like to write more code and contribute to FOSS, so this seemed like a good project to get involved in given my experience and interests, (plus I'd really like to work with React!)

If you could send a Slack invite my way =>aklaporte@gmail.com, I'd really appreciate it, thanks!

Hi @Ragesoss !

I am Saumya, a fourth year undergrad CSE student. I have experience in ROR and web dev and this project looks pretty interesting! I would like to get involved in contributing for the Outreachy Round, could I get a slack invite @ saumya.rawat25@gmail.com

Thanks!

Hi @Ragesoss and @Capt_Swing , I will be applying for an internship for the wikimedia project at Outreachy! I am a self-taught developer and also an feminst activist so I think I would love to work on this project. I already have achieved setting my dev-environment, but I would also love to be added to the Slack group of the project if possible.

My email: candela.jimenez@gmail.com

Thanks a lot!!!

Hi

@Ragesoss
@Firevsice
@srishakatux

I am planning to take part in this internship.I have a fair knowledge of React and Redux along with some web development. Wikimedia project about dashboard looks quite interesting.I have downloaded the code and trying to build in my local.So add me to slack channel

Email: sjyotisingh220@gmail.com

Thanks,
Jyoti

Hi,

@Ragesoss @Firevsice @srishakatux ,

I'm Neethu . I would like to help out with this project as a part of outreachy. I've prior experience with web development (HTML, CSS, JS , React, Redux, Python,Django, MySQL, MongoDB, Node, Express , AngularJS , Ionic ). I've been in the development team of bits-oasis.org and bits-bosm.org as a front-end web developer. I'm also an active member of ACMW (Association of Computing and Machinery , Women) chapter at my college.

I would love to do this project under your guidance . Please send me an invite on slack.
Email ID : neethumariyajoy@gmail.com

Thanks ! :)

bax-uva added a subscriber: bax-uva.Oct 3 2017, 7:27 AM
maja added a subscriber: maja.Oct 3 2017, 8:40 PM

Hi @Ragesoss and @Capt_Swing,

I'm planning to apply for Outreachy and would really like to work on this project. I'm a self-taught developer with background in design, currently based in Berlin. I have some web development experience with RoR and would like to improve my (very basic) knowledge of React/Redux.
I'm already on Slack.

srishakatux added a comment.EditedOct 4 2017, 10:18 PM

This message is for candidates considering to apply to the Outreachy program:

Just making sure that you already know:

  • Deadline for submitting applications is October 23rd. It's good to start working on the application 2-3 weeks before the deadline, that way you might be able to get feedback from your mentors.
  • If you have already completed a microtask, communicated with your mentor about the next steps, and now thinking of working on your application then here is what I recommend:
    • Make sure you've checked whether or not you meet the eligibility criteria listed here https://www.outreachy.org/apply/eligibility/
    • When you start working on the application on the Outreachy program website, fill out the eligibility information first, even if you don't know yet what content should go in other parts of the application. That will allow Outreachy organizers to verify (see point 3 under "How to Apply" section https://www.outreachy.org/apply/).
    • As, you might know that Wikimedia requires you to submit your proposal on Phabricator. Make sure you are well aware of the process to do so (point number 9 under "Application Process Steps" here https://www.mediawiki.org/wiki/Outreachy/Participants).

If you have any questions about the application process, please ask! Good luck working on your applications! :)

Am I too late to apply for the program now. I was reading a medium article by sajal khatri . She was an inern last year as I read in that article . It is given that we can contribute even after the deadline. So I would like to know if I can start or is it too late?

Is there anything remaining in this task? If not, change status to 'resolved'. Thanks!

Aklapper closed this task as Resolved.Jul 18 2018, 12:26 PM
Aklapper assigned this task to Maudite.

https://www.mediawiki.org/wiki/Outreachy/Round_15#Accepted_Projects shows that this was implemented in T177507: Proposal: Outreachy round 15: Improve Programs & Events Dashboard support for Art+Feminism 2018.
Hence closing this task as resolved.

Please correct me if I'm wrong (or file separate tasks for any potential work not resolved yet).